package cn.iocoder.yudao.module.system.service.biz;


import cn.iocoder.yudao.module.system.dal.dataobject.biz.EvaluationProcessConfigDO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.EvaluationTemplatesConfigDO;

import java.util.List;

/**
 * 能力评估配置 Service 接口
 *
 * @author 系统管理员
 */
public interface EvaluationProcessConfigService {


    Long createEvaluationProcessConfig(EvaluationProcessConfigDO createReqVO);

    void updateEvaluationProcessConfig(EvaluationProcessConfigDO updateReqVO);

    void deleteEvaluationProcessConfig(Long id);

    EvaluationProcessConfigDO getEvaluationProcessConfig(Long id);

    List<EvaluationProcessConfigDO> getEvaluationProcessConfigList(Long evaluationProcessId);
}